# Class BeforePinCloseEvent

#### Hierarchy

- PinningIntegrationEvent
  - BeforePinCloseEvent

#####
Index

### Constructors

constructor

### Properties

type

## Constructors

### constructor

- new BeforePinCloseEvent(): BeforePinCloseEvent

- #### Returns BeforePinCloseEvent

  Inherited from PinningIntegrationEvent.constructor

## Properties

### `Readonly` type

type: "beforepinclose" = PinningEvents.BeforePinClose

Overrides PinningIntegrationEvent.type